#language: ru

@mutual_settlements

Функционал: 010. mutual_settlements. Сверка взаиморасчетов

Сценарий: 010.1. mutual_settlements. Сверка взаиморасчетов для Перекрестка

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.010. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2СверкаВзаиморасчетов" без контроля ссылок
	И Я начинаю создавать сверку взаиморасчетов для организации "Нижегородский МК" с подразделением "Бухгалтерия" по "Перекресток"
	И в поле с именем 'Дата' я ввожу текст '31.03.2021  0:00:00'
	И я нажимаю кнопку выбора у поля с именем "ПериодДействия"
	И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
	Тогда открылось окно 'Сверка взаиморасчетов (создание) *'
	И в таблице "Взаиморасчеты" я нажимаю на кнопку с именем 'ВзаиморасчетыЗаполнитьЗаПериод'
	И в поле с именем 'Комментарий' я ввожу текст 'СверкаВзаиморасчетовПерекресток'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "ПериодДействия" стал равен '01.03.2021 - 31.03.2021'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Перекресток'
		И элемент формы с именем "Дата" стал равен '31.03.2021  0:00:00'
		И таблица "Взаиморасчеты" стала равной:
			| 'Основание'                              | 'Объект расчета'                         | 'По нашим данным' | 'По данным клиента' | 'Валюта' |
			| 'Соглашение с Перекрестком с 01.01.2021' | 'Соглашение с Перекрестком с 01.01.2021' | '32 500,00'       | '32 500,00'         | 'RUB'    |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'СверкаВзаиморасчетовПерекресток'
		И элемент формы с именем "СуммаНаша" стал равен '32 500,00'
		И элемент формы с именем "СуммаПоДаннымКлиента" стал равен '32 500,00'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Сверка взаиморасчетов * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Сверка взаиморасчетов * от * [Создан]'
	И Я заканчиваю создавать сверку взаиморасчетов

Сценарий: 010.2. mutual_settlements. Сверка взаиморасчетов для Ленты

	И Я начинаю создавать сверку взаиморасчетов для организации "Нижегородский МК" с подразделением "Бухгалтерия" по "Лента"
	И в поле с именем 'Дата' я ввожу текст '31.03.2021  0:00:00'
	И я нажимаю кнопку выбора у поля с именем "ПериодДействия"
	И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
	Тогда открылось окно 'Сверка взаиморасчетов (создание) *'
	И в таблице "Взаиморасчеты" я нажимаю на кнопку с именем 'ВзаиморасчетыЗаполнитьЗаПериод'
	И в поле с именем 'Комментарий' я ввожу текст 'СверкаВзаиморасчетовЛента'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "ПериодДействия" стал равен '01.03.2021 - 31.03.2021'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Лента'
		И элемент формы с именем "Дата" стал равен '31.03.2021  0:00:00'
		И таблица "Взаиморасчеты" стала равной:
			| 'Основание'                        | 'Объект расчета'                   | 'По нашим данным' | 'По данным клиента' | 'Валюта' |
			| 'Соглашение с Лентой с 01.01.2021' | 'Соглашение с Лентой с 01.01.2021' | '41 525,00'       | '41 525,00'         | 'RUB'    |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'СверкаВзаиморасчетовЛента'
		И элемент формы с именем "СуммаНаша" стал равен '41 525,00'
		И элемент формы с именем "СуммаПоДаннымКлиента" стал равен '41 525,00'
	И Я заканчиваю создавать сверку взаиморасчетов

Сценарий: 010.3. mutual_settlements. Сверка взаиморасчетов для Табрис

	И Я начинаю создавать сверку взаиморасчетов для организации "Нижегородский МК" с подразделением "Бухгалтерия" по "Табрис"
	И в поле с именем 'Дата' я ввожу текст '31.03.2021  0:00:00'
	И я нажимаю кнопку выбора у поля с именем "ПериодДействия"
	И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
	Тогда открылось окно 'Сверка взаиморасчетов (создание) *'
	И в таблице "Взаиморасчеты" я нажимаю на кнопку с именем 'ВзаиморасчетыЗаполнитьЗаПериод'
	И в поле с именем 'Комментарий' я ввожу текст 'СверкаВзаиморасчетовТабрис'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "ПериодДействия" стал равен '01.03.2021 - 31.03.2021'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Контрагент" стал равен 'Табрис'
		И элемент формы с именем "Дата" стал равен '31.03.2021  0:00:00'
		И таблица "Взаиморасчеты" стала равной по шаблону:
			| 'Основание'                        | 'Объект расчета'                       | 'По нашим данным' | 'По данным клиента' | 'Валюта' |
			| 'Соглашение с Табрис с 01.01.2021' | 'Реализация товаров * от 17.03.2021 *' | '41 050,00'       | '41 050,00'         | 'RUB'    |
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'СверкаВзаиморасчетовТабрис'
		И элемент формы с именем "СуммаНаша" стал равен '41 050,00'
		И элемент формы с именем "СуммаПоДаннымКлиента" стал равен '41 050,00'
	И Я заканчиваю создавать сверку взаиморасчетов

Сценарий: 010.4. mutual_settlements. Проверка отборов для сверки взаиморасчетов

	И В командном интерфейсе я выбираю 'Деньги' 'Сверки взаиморасчетов'
	Тогда открылось окно 'Сверки взаиморасчетов'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Ответственный' |
		| '31.03.2021' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'Администратор' |
		| '31.03.2021' | 'Создан'    | 'Нижегородский МК' | 'Лента'       | 'Бухгалтерия'   | 'Администратор' |
		| '31.03.2021' | 'Создан'    | 'Нижегородский МК' | 'Табрис'      | 'Бухгалтерия'   | 'Администратор' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "29.03.2021" по "29.03.2021"
		Тогда открылось окно 'Сверки взаиморасчетов'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Сверки взаиморасчетов'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по контрагенту
		И из выпадающего списка с именем "_Отбор_Контрагент" я выбираю по строке 'Перекресток'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Состояние' | 'Организация'      | 'Контрагент'  | 'Подразделение' | 'Ответственный' |
			| '31.03.2021' | 'Создан'    | 'Нижегородский МК' | 'Перекресток' | 'Бухгалтерия'   | 'Администратор' |
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Сверки взаиморасчетов'

Сценарий: 010.5. mutual_settlements. Очистка отборов для сверки взаиморасчетов

	И В командном интерфейсе я выбираю 'Деньги' 'Сверки взаиморасчетов'
	Тогда открылось окно 'Сверки взаиморасчетов'
	* Очистка отборов по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Сверки взаиморасчетов'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Контрагент"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Сверки взаиморасчетов'